Retrieving Chemo Regimen Templates by Agent Name GET
The DynaMed/DynaMedex GET /v2/chemo-regimens/templates/by-agent-name endpoint returns the chemo regimen templates that use a chemotherapy agent matching the given "name" query parameter. This is functionally equivalent to the chemo regimen agent templates endpoint, but allows a lookup by the agent's name instead of its ID.
Basic Search for Chemo Regimen Templates by Agent Name
To Retrieve Chemo Regimen Templates for a Given Agent Name (example):
Gather the following information for the request:
- An access token. Please see Using the Client Credentials Grant for further information.
- A name. This is the name of the agent, which can be found using the chemo regimen agents endpoint.
Request
GET https://apis.ebsco.com/medsapi-dynamed/v2/content/chemo-regimens/templates/by-agent-name?name=abemaciclibResponse
{
"_metadata": {
"totalItems": 1,
"links": [
{
"rel": "self",
"href": "https://apis.ebsco.com/medsapi-dynamed/v2/content/chemo-regimens/templates/by-agent-name?name=abemaciclib"
}
]
},
"items": [
{
"templateId": "BRS119",
"regimenTitle": "Abemaciclib/Fulvestrant",
"courseTitle": null,
"diseaseId": "86407c98-6e77-4dc6-859b-37e22a100c7a",
"diseaseName": "Breast Cancer",
"indicationSentences": [
"Hormone receptor positive and HER2 negative: Recurrent unresectable (local or regional) or Metastatic"
],
"publishedDate": "2024-03-18"
}
]
}Error Response Codes
The DynaMed chemo regimen templates by agent name endpoint can return one of the error response codes.
Updated about 19 hours ago
Did this page help you?
